## pwman3 0.4.2

=== requirements.txt ===
pycrypto>=2.6
colorama>=0.2.4

## pwman3 0.0.8

=== debian/changelog ===
pwman3 (0.0.8-1) unstable; urgency=low

  * New upstream release:
    - a patch for a better output in list mode (detection of the
    number of columns and rows used by the terminal) has been merged
    upstream. Thanks to Dominic Hargreaves for the suggestion (Closes: #594928).
  * Remove uselsess build dependency on python-dev.
  * Update Standards-Version to 3.9.1.
  * Update uploader email.
  * Update Vcs-Browser and Vcs-Git fields.
  * Switch to dpkg-source 3.0 (quilt) format.
  * Remove unneeded DMUA field.
  * Update copyright file (new year changes, new copyright holders).
  * Add a patch to fix the filter command when used with the sqlite backend.
    Thanks to Guillaume L. for the patch (Closes: #605513).
  * Remove unused lintian override.

 -- Emmanuel Bouthenot <kolter@debian.org>  Sun, 05 Sep 2010 17:09:52 +0200

pwman3 (0.0.7-2) unstable; urgency=low

  * Add a patch to drop dependency on python-pysqlite2 and use internal
    sqlite provided by python >= 2.5. Thanks to Éric Araujo for his
    suggestion (Closes: #546693).
  * Add Recommends and Suggests regarding the others storage drivers
    available.
  * Clean and minify debian/rules.
  * Add file README.source.
  * Bump Standards-Version to 3.8.3.
  * Add a lintian override about missing upstream changelog.

 -- Emmanuel Bouthenot <kolter@openics.org>  Thu, 24 Sep 2009 20:20:11 +0000

pwman3 (0.0.7-1) unstable; urgency=low

  * New upstream release (Closes: #512766, #512768)
  * Remove patches fix_celementtree_python25, fix_help_eof and
    fix_disable_node_password_echo (fixed upstream).
  * Update watch file: the source code is now hosted on github.
  * Remove quilt from Build-Depends.
  * Add Vcs-Browser and Vcs-Git fields in debian/control.
  * Bump Standards-Version to 3.8.0.
  * Update debian packaging to debhelper 7 and add debian/manpages.
  * Update debian/control, add ${misc:Depends} and Build-Depends-Indep.
  * Update debian/copyright about debian packaging.
  * Add DM-Upload-Allowed field.

 -- Emmanuel Bouthenot <kolter@openics.org>  Sat, 21 Feb 2009 12:07:47 +0100

pwman3 (0.0.6-2) unstable; urgency=low

  * Setting me as maintainer with previous maintainer agreement.
  * Add quilt to Build-Depends.
  * Remove the binary-arch target from debian/rules (arch all package).
  * Add a patch to make pwman3 working with python 2.5 (Closes: #478684)
  * Add dependency on python2.5-celementtree (provided by python2.5).
  * Add a patch to fix a bug on 'help EOF'.
  * Fix debian/copyright to point GPL-2 rather than just GPL, which
    now points to GPL-3.
  * Update Standards-Version to 3.7.3.
  * Add a Homepage field.

 -- Emmanuel Bouthenot <kolter@openics.org>  Sat, 31 May 2008 00:50:34 +0200

pwman3 (0.0.6-1) unstable; urgency=low

  * New Upstream Version
  * Remove quilt from Build-Depends
  * Drop mask_passwd_input patch. A little different fixe for
    #407985 has been included upstream.

 -- Julien Louis <ptitlouis@sysif.net>  Sat, 17 Feb 2007 16:00:02 +0100

pwman3 (0.0.5-3) unstable; urgency=low 

  * Fix typo in short description (Closes: #400577).
  * Added quilt to Build-Depends.
  * Added mask_password_input patch (Closes: #407985).

 -- Julien Louis <ptitlouis@sysif.net>  Mon, 29 Jan 2007 10:39:18 +0100

pwman3 (0.0.5-2) unstable; urgency=low

  * Description improvement (Closes: #400577)
  * Added missing manpage.

 -- Julien Louis <ptitlouis@sysif.net>  Thu, 30 Nov 2006 10:33:40 +0100

pwman3 (0.0.5-1) unstable; urgency=low

  * Initial release (closes: #388673).

 -- Julien Louis <ptitlouis@sysif.net>  Thu, 21 Sep 2006 09:00:23 +0200

=== debian/control ===
Source: pwman3
Section: utils
Priority: optional
Maintainer: Emmanuel Bouthenot <kolter@debian.org>
Build-Depends-Indep: python-support (>= 0.4)
Build-Depends: debhelper (>= 7.0.50)
Standards-Version: 3.9.1
Homepage: http://pwman.bleurgh.com
Vcs-Git: git://git.debian.org/users/kolter/pwman3.git
Vcs-Browser: http://git.debian.org/?p=users/kolter/pwman3.git

Package: pwman3
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-crypto
Recommends: python-mysqldb, python-pygresql
Suggests: mysql-server | postgresql
Description: console password managment application
 Pwman3 aims to provide a simple but powerful command line interface for
 password managment. It allows to store your password in a sqlite database
 locked by a master password which can be encrypted with different algorithms
 (e.g Blowfish, AES, DES3).
 .
 It is also possible to tag them to ease searches in a large amount of
 passwords

=== debian/rules ===
#!/usr/bin/make -f

dh_auto_build:
	python setup.py build
	dh_build

dh_auto_install:
	python setup.py install --root=$(CURDIR)/debian/pwman3
	dh_install

dh_auto_clean:
	-rm -rf build
	python setup.py clean
	find . -name *.pyc | xargs rm -f
	dh_clean

%:
	dh $@

=== debian/watch ===
version=3
http://githubredir.debian.net/github/ivankelly/pwman3/v(.*).tar.gz

## pwman3 0.3.9c

=== debian/changelog ===
pwman3 (0.3.9c-1) unstable; urgency=low

  * New upstream release
  * Add git-buildpackage configuration
  * Add dependency on python-colorama
  * Fix manpage source path

 -- Emmanuel Bouthenot <kolter@debian.org>  Sun, 30 Jun 2013 15:40:10 +0000

pwman3 (0.3.0-1) unstable; urgency=low

  * New upstream release (Closes: #703100)
    - Update debian/watch and debian/control regarding the new homepage
    (Closes: #696216)
    - Add a Suggests on xsel (make possible to copy passwords to clipboard)
    - Remove all patches (merged upstream)
  * Switch to debhelper >= 9
  * Remove useless targets in debian/rules (Thanks to Andrey Rahmatullin for
    the suggestion) (Closes: #696243)
  * Bump Standards-Version to 3.9.4
  * Fix typos in long description
  * Update docs installed (README.md instead of README)

 -- Emmanuel Bouthenot <kolter@debian.org>  Sun, 17 Mar 2013 18:20:21 +0000

=== debian/control ===
Source: pwman3
Section: utils
Priority: optional
Maintainer: Emmanuel Bouthenot <kolter@debian.org>
Build-Depends-Indep: python-all
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.4
Homepage: https://github.com/pwman3/pwman3
Vcs-Git: git://git.debian.org/users/kolter/pwman3.git
Vcs-Browser: http://git.debian.org/?p=users/kolter/pwman3.git

Package: pwman3
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-crypto, python-colorama (>= 0.2.4)
Recommends: python-mysqldb, python-pygresql
Suggests: mysql-server | postgresql, xsel
Description: console password managment application
 Pwman3 aims to provide a simple but powerful command line interface for
 password management. It allows one to store your password in a sqlite database
 locked by a master password which can be encrypted with different algorithms
 (e.g Blowfish, AES, DES3).
 .
 It is also possible to tag them to ease searches in a large amount of
 passwords

## pwman3 0.4.2

=== debian/changelog ===
pwman3 (0.4.2-1) unstable; urgency=low

  * New upstream release
    - Update build dependencies
  * Update debian/copyright (switch to dep5 format, add new copyright
    holders)

 -- Emmanuel Bouthenot <kolter@debian.org>  Mon, 30 Sep 2013 17:45:34 +0000

pwman3 (0.3.9d-1) unstable; urgency=low

  * New upstream release
  * Remove debian/pyversions in favor of X-Python-Version field in
    debian/control
  * Update Vcs-Browser and Vcs-Git fields

 -- Emmanuel Bouthenot <kolter@debian.org>  Mon, 12 Aug 2013 10:57:35 +0000

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,23 @@
 Section: utils
 Priority: optional
 Maintainer: Emmanuel Bouthenot <kolter@debian.org>
-Build-Depends-Indep: python-all
-Build-Depends: debhelper (>= 9)
+Build-Depends:
+    debhelper (>= 9),
+    python-all (>= 2.6.6-3~),
+    python-setuptools
 Standards-Version: 3.9.4
 Homepage: https://github.com/pwman3/pwman3
-Vcs-Git: git://git.debian.org/users/kolter/pwman3.git
-Vcs-Browser: http://git.debian.org/?p=users/kolter/pwman3.git
+Vcs-Git: git://anonscm.debian.org/users/kolter/pwman3.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/kolter/pwman3.git
+X-Python-Version: >= 2.6
 
 Package: pwman3
 Architecture: all
-Depends: ${python:Depends}, ${misc:Depends}, python-crypto, python-colorama (>= 0.2.4)
+Depends:
+    ${misc:Depends},
+    ${python:Depends},
+    python-crypto,
+    python-colorama (>= 0.2.4)
 Recommends: python-mysqldb, python-pygresql
 Suggests: mysql-server | postgresql, xsel
 Description: console password managment application

=== debian/watch ===
version=3
http://githubredir.debian.net/github/pwman3/pwman3 .+v(.+).tar.gz

## pwman3 0.5.1

=== debian/changelog ===
pwman3 (0.5.1-1) unstable; urgency=medium

  * New upstream release

 -- Emmanuel Bouthenot <kolter@debian.org>  Sat, 10 May 2014 12:16:39 +0200

pwman3 (0.5-1) unstable; urgency=low

  * New upstream release
    - Fix issues with converted database (Closes: #726987)
    - Fix issues when editing some fields (Closes: #726884)
  * Update manpage and switch to pod format
  * Bump Standards-Version to 3.9.5

 -- Emmanuel Bouthenot <kolter@debian.org>  Thu, 10 Apr 2014 23:58:22 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
     debhelper (>= 9),
     python-all (>= 2.6.6-3~),
     python-setuptools
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: https://github.com/pwman3/pwman3
 Vcs-Git: git://anonscm.debian.org/users/kolter/pwman3.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/kolter/pwman3.git

## pwman3 0.5.1d

=== requirements.txt ===
pycrypto>=2.6
colorama>=0.2.4
pexpect

=== debian/changelog ===
pwman3 (0.5.1d-1) unstable; urgency=medium

  * New upstream release
  * debian/control: fix typo in short description

 -- Emmanuel Bouthenot <kolter@debian.org>  Thu, 28 Aug 2014 20:52:36 +0200

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
     python-colorama (>= 0.2.4)
 Recommends: python-mysqldb, python-pygresql
 Suggests: mysql-server | postgresql, xsel
-Description: console password managment application
+Description: console password management application
  Pwman3 aims to provide a simple but powerful command line interface for
  password management. It allows one to store your password in a sqlite database
  locked by a master password which can be encrypted with different algorithms

=== debian/rules ===
#!/usr/bin/make -f


override_dh_auto_build:
	pod2man \
		--center "" \
		--date "" \
		--release "" \
		--section=1 \
		debian/pwman3.pod > debian/pwman3.1
	dh_auto_build

override_dh_auto_clean:
	rm -rf Pwman3.egg-info
	rm -f debian/pwman3.1
	dh_auto_clean

%:
	dh $@ --with python2

## pwman3 0.10.0

=== Makefile ===
.PHONY: clean-pyc clean-build docs clean test coverage coverage-run clean_all

help:
	@echo "clean-build - remove build artifacts"
	@echo "clean-pyc - remove Python file artifacts"
	@echo "lint - check style with flake8"
	@echo "test - run tests quickly with the default Python"
	@echo "test-all - run tests on every Python version with tox"
	@echo "coverage - check code coverage quickly with the default Python"
	@echo "docs - generate Sphinx HTML documentation, including API docs"
	@echo "release - package and upload a release"
	@echo "dist - package"

clean_all:
	clean
	clean_docs
	clean_coverage_report

clean: clean-build clean-pyc

clean_docs:
	$(MAKE) -C docs clean

clean_coverage_report:
	rm -rf htmlcov/

clean-build:
	rm -fr build/
	rm -fr dist/
	rm -fr *.egg-info

clean-pyc:
	find . -name '*.pyc' -exec rm -f {} +
	find . -name '*.pyo' -exec rm -f {} +
	find . -name '*~' -exec rm -f {} +
	find . -name '__pycache__' -exec rm -rf {} +

lint:
	flake8 pwman scripts

pre-test:
	$(shell sudo service postgresql-9.4 start)
	$(shell sudo service mysql start)
	$(shell sudo service mongodb start)

integration-test: clean install
	coverage run -m tests.test_integration
	coverage report
	coverage html

test: clean install
	python setup.py test
	@rm -f tests/test.conf

test-all:
	tox

coverage-run:
	coverage run -m tests.test_pwman
	coverage report -m
	@coverage html

coverage: coverage-run

docs:
	#rm -f docs/manutils.rst
	#rm -f docs/modules.rst
	sphinx-apidoc -o docs/source/ pwman
	$(MAKE) -C docs clean
	$(MAKE) -C docs html
	xdg-open docs/build/html/index.html

release: clean
	python setup.py sdist
	twine upload --skip-existing dist/*

dist: clean
	python setup.py sdist
	python setup.py bdist_wheel
	ls -l dist

install:
	pip install -e .

test-compose:
	docker-compose down -v
	docker-compose build
	docker-compose up --abort-on-container-exit
	docker-compose down -v

=== debian/changelog ===
pwman3 (0.10.0-2) unstable; urgency=medium

  * Fix typos in Debconf template. Thanks to Helge Kreutzmann for the patch
    (Closes: #942656)
  * Add German debconf templates translation. Thanks to Helge Kreutzmann
    (Closes: #942655)
  * Add Portuguese debconf templates translation. Thanks Américo Monteiro
    (Closes: #942659)
  * Add French debconf templates translation. Thanks Jean-Pierre Giraud
    (Closes: #945050)
  * Add Dutch debconf templates translation. Thanks Frans Spiesschaert
    (Closes: #946007)
  * Bump Standards-Version to 4.4.1
  * Set Rules-Requires-Root to no
  * Remove useless debian/compat

 -- Emmanuel Bouthenot <kolter@debian.org>  Mon, 06 Jan 2020 21:12:03 +0000

pwman3 (0.10.0-1) unstable; urgency=medium

  * New upstream release (Closes: #833678)
  * Fix debian/watch
  * Switch debhelper compatibility to 12
  * Update Vcs-Git and Vcs-Browser with new repository on salsa.debian.org
  * Fix debian/copyright Format URI to use https
  * Add debian/upstream/metadata
  * Add a debconf question to warn about old database format

  [ Gürkan Myczko ]
  * Bump standards version to 4.4.0
  * Update MySQL dependency (Closes: #848483)
  * Add dependency on python3-pkg-resources (Closes: #859488)
  * Drop python2, add python3 support (Closes: #937381)

 -- Emmanuel Bouthenot <kolter@debian.org>  Tue, 08 Oct 2019 14:09:23 +0000

pwman3 (0.0.5-3) unstable; urgency=low

  * Fix typo in short description (Closes: #400577).
  * Added quilt to Build-Depends.
  * Added mask_password_input patch (Closes: #407985).

 -- Julien Louis <ptitlouis@sysif.net>  Mon, 29 Jan 2007 10:39:18 +0100

=== debian/control ===
Source: pwman3
Section: utils
Priority: optional
Maintainer: Emmanuel Bouthenot <kolter@debian.org>
Build-Depends:
    debhelper (>= 12),
    debhelper-compat (= 12),
    dh-python,
    python3-all (>= 2.6.6-3~),
    python3-setuptools,
    po-debconf
Rules-Requires-Root: no
Standards-Version: 4.4.1
Homepage: https://github.com/pwman3/pwman3
Vcs-Git: https://salsa.debian.org/kolter/pwman3.git
Vcs-Browser: https://salsa.debian.org/kolter/pwman3
X-Python-Version: >= 3.6

Package: pwman3
Architecture: all
Pre-Depends:
    debconf
Depends:
    ${misc:Depends},
    ${python3:Depends},
    python3-pkg-resources,
    python3-crypto,
    python3-colorama (>= 0.2.4)
Recommends: python-mysqldb, python-pygresql
Suggests: default-mysql-server | postgresql, xsel
Description: console password management application
 Pwman3 aims to provide a simple but powerful command line interface for
 password management. It allows one to store your password in a sqlite database
 locked by a master password which can be encrypted with different algorithms
 (e.g Blowfish, AES, DES3).
 .
 It is also possible to tag them to ease searches in a large amount of
 passwords

## pwman3 0.11.1

=== debian/changelog ===
pwman3 (0.11.1-1) unstable; urgency=medium

  * New upstream release
  * Switch debhelper compatibility to 13
  * Replace Recommends on python3-pygresql by python3-psycopg2 (Closes: #964472)
    Thanks to Chris Hofstaedtler for the notice.

 -- Emmanuel Bouthenot <kolter@debian.org>  Mon, 17 Aug 2020 21:33:27 +0000

pwman3 (0.10.0-3) unstable; urgency=medium

  * Fix another typo in debconf template
  * Fix Recommends on mysql and pygresql to use Python3 packages
    (Closes: #943926, #937381)
  * Make possible to preseed debconf questions (and bypass lintian false
    positive) (Closes: #945486)
  * Bump Standards-Version to 4.5.0

 -- Emmanuel Bouthenot <kolter@debian.org>  Mon, 09 Mar 2020 12:39:34 +0000

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Priority: optional
 Maintainer: Emmanuel Bouthenot <kolter@debian.org>
 Build-Depends:
-    debhelper (>= 12),
-    debhelper-compat (= 12),
+    debhelper (>= 13),
+    debhelper-compat (= 13),
     dh-python,
     python3-all (>= 2.6.6-3~),
     python3-setuptools,
     po-debconf
 Rules-Requires-Root: no
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://github.com/pwman3/pwman3
 Vcs-Git: https://salsa.debian.org/kolter/pwman3.git
 Vcs-Browser: https://salsa.debian.org/kolter/pwman3
@@ -26,7 +26,7 @@
     python3-pkg-resources,
     python3-crypto,
     python3-colorama (>= 0.2.4)
-Recommends: python-mysqldb, python-pygresql
+Recommends: python3-mysqldb, python3-psycopg2
 Suggests: default-mysql-server | postgresql, xsel
 Description: console password management application
  Pwman3 aims to provide a simple but powerful command line interface for

## pwman3 0.12.1

=== requirements.txt ===
cryptography
colorama>=0.2.4

=== debian/changelog ===
pwman3 (0.12.1-2) unstable; urgency=medium

  * Fix FTBFS: add missing Build-Depend on python3-cryptography
    (Closes: #975409)

 -- Emmanuel Bouthenot <kolter@debian.org>  Tue, 24 Nov 2020 06:15:10 +0000

pwman3 (0.12.1-1) unstable; urgency=medium

  * New upstream release
  * Switch dependency from python3-crypto (not longer upstream maintained)
    to python3-pycryptodome (drop in and maintanied replacement)
    (Closes: #971304)

 -- Emmanuel Bouthenot <kolter@debian.org>  Sat, 21 Nov 2020 07:14:39 +0000

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
     dh-python,
     python3-all (>= 2.6.6-3~),
     python3-setuptools,
+    python3-cryptography,
     po-debconf
 Rules-Requires-Root: no
 Standards-Version: 4.5.0
@@ -24,7 +25,7 @@
     ${misc:Depends},
     ${python3:Depends},
     python3-pkg-resources,
-    python3-crypto,
+    python3-pycryptodome,
     python3-colorama (>= 0.2.4)
 Recommends: python3-mysqldb, python3-psycopg2
 Suggests: default-mysql-server | postgresql, xsel

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,4 @@
 #!/usr/bin/make -f
-
 
 override_dh_auto_build:
 	pod2man \
@@ -15,5 +14,8 @@
 	rm -f debian/pwman3.1
 	dh_auto_clean
 
+override_dh_auto_test:
+	@echo skipping test
+
 %:
-	dh $@ --with python2
+	dh $@ --with python3 --buildsystem=pybuild

## pwman3 0.12.2

=== Makefile ===
--- 
+++ 
@@ -82,8 +82,24 @@
 install:
 	pip install -e .
 
-test-compose:
+docker/build:: TAG ?= latest
+docker/build::
+	docker build -t oz123/pwman3:$(TAG) .
+
+test-compose::
 	docker-compose down -v
 	docker-compose build
 	docker-compose up --abort-on-container-exit
 	docker-compose down -v
+
+release/start::
+	make -f release.mk $@  # $@ is the name of the target
+
+release/complete:
+	make -f release.mk do-release
+	make -f release.mk release/finish
+
+
+release/abort::
+	make -f release.mk $@
+

=== requirements.txt ===
cryptography>=3.2.1
colorama>=0.2.4

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/pwman3.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/pwman3.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/pwman3"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/pwman3"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
pwman3 (0.12.2-2) unstable; urgency=medium

  * Remove useless HomePage field in upstream/metadata
  * Bump Standards-Version to 4.6.0.1
  * Add Spanish debconf translation. Thanks to Camaleón (Closes: #987663)

 -- Emmanuel Bouthenot <kolter@debian.org>  Sat, 11 Sep 2021 20:34:01 +0000

pwman3 (0.12.2-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.5.1

 -- Emmanuel Bouthenot <kolter@debian.org>  Wed, 03 Mar 2021 14:38:02 +0000

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
     python3-cryptography,
     po-debconf
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0.1
 Homepage: https://github.com/pwman3/pwman3
 Vcs-Git: https://salsa.debian.org/kolter/pwman3.git
 Vcs-Browser: https://salsa.debian.org/kolter/pwman3

=== debian/watch ===
version=4
https://github.com/pwman3/pwman3/tags .*/v?(\d[\d\.]+)\.tar\.gz

## pwman3 0.13.1

=== Makefile ===
.PHONY: clean-pyc clean-build docs clean test coverage coverage-run clean_all
SHELL := /bin/bash
.DEFAULT_GOAL := help

.PHONY: help
help:
	@mh -f $(MAKEFILE_LIST) $(target) || echo "Please install mh from https://github.com/oz123/mh/releases"
ifndef target
	@(which mh > /dev/null 2>&1 && echo -e "\nUse \`make help target=foo\` to learn more about foo.")
endif

help:

clean_all:
	clean
	clean_docs
	clean_coverage_report

clean: clean-build clean-pyc

clean_docs:
	$(MAKE) -C docs clean

clean_coverage_report:
	rm -rf htmlcov/

clean-build:
	rm -fr build/
	rm -fr dist/
	rm -fr *.egg-info

clean-pyc:
	find . -name '*.pyc' -exec rm -f {} +
	find . -name '*.pyo' -exec rm -f {} +
	find . -name '*~' -exec rm -f {} +
	find . -name '__pycache__' -exec rm -rf {} +

lint:
	flake8 pwman scripts

pre-test:
	$(shell sudo service postgresql-9.4 start)
	$(shell sudo service mysql start)
	$(shell sudo service mongodb start)

test-integration: PWMAN_FAILFAST=1 #? stop on first failure
test-integration: clean install
	python -m tests.test_integration

install-integrationtest-deps:
	pip install -r requirements-integration.txt

install-unittest-deps:
	pip install -r requirements-unittest.txt

test-unit: PWMAN_FAILFAST=1 #? stop on first failure
test-unit: clean install ## run the unit tests
	python -m tests.test_pwman
	@rm -f tests/test.conf

test-all: OPTS ?="--parallel -o" #? options to pass to tox
test-all:
	tox $(OPTS)

build-manpage:
	python man-page-builder.py

coverage-run:
	coverage run --append -m tests.test_pwman
	coverage run --append -m tests.test_integration
	coverage report -m
	@coverage html

coverage: coverage-run

docs:
	#rm -f docs/manutils.rst
	#rm -f docs/modules.rst
	sphinx-apidoc -o docs/source/ pwman
	$(MAKE) -C docs clean
	$(MAKE) -C docs html
	xdg-open docs/build/html/index.html

install:
	pip install -e .

docker/build:: TAG ?= latest
docker/build::  ## build a docker image for pwman3 tests
	docker build -t oz123/pwman3:$(TAG) .

infra-compose::  ## start the infrastructure for the tests
	docker compose --profile infra  up -d

test-compose::  ## run all tests in docker compose
	docker compose down -v
	docker compose build
	docker compose up --profile test --abort-on-container-exit
	docker compose down -v

release:
	python -m build

# vim: tabstop=4 shiftwidth=4

=== requirements.txt ===
cryptography>=39
colorama>=0.2.4

=== debian/changelog ===
pwman3 (0.13.1-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.7.0
  * Update copyright file (new year)
  * Remove deprecated dependency on python3-pkg-resources (Closes: #1083565)

 -- Emmanuel Bouthenot <kolter@debian.org>  Fri, 08 Nov 2024 17:25:55 +0000

pwman3 (0.12.2-3) unstable; urgency=medium

  * Bump Standards-Version to 4.6.1.0
  * Update debian/copyright (new year)
  * Add Brazilian Portuguese translation. Thanks to Paulo Henrique de Lima
    Santana (Closes: #1025991)

 -- Emmanuel Bouthenot <kolter@debian.org>  Tue, 13 Dec 2022 21:50:44 +0000

=== debian/control ===
--- 
+++ 
@@ -7,11 +7,12 @@
     debhelper-compat (= 13),
     dh-python,
     python3-all (>= 2.6.6-3~),
+    pybuild-plugin-pyproject,
     python3-setuptools,
     python3-cryptography,
     po-debconf
 Rules-Requires-Root: no
-Standards-Version: 4.6.0.1
+Standards-Version: 4.7.0
 Homepage: https://github.com/pwman3/pwman3
 Vcs-Git: https://salsa.debian.org/kolter/pwman3.git
 Vcs-Browser: https://salsa.debian.org/kolter/pwman3
@@ -24,7 +25,6 @@
 Depends:
     ${misc:Depends},
     ${python3:Depends},
-    python3-pkg-resources,
     python3-pycryptodome,
     python3-colorama (>= 0.2.4)
 Recommends: python3-mysqldb, python3-psycopg2
